com.io7m.jcanephora.renderstate

## Interface JCGLBlendStateType

- All Known Implementing Classes:
    JCGLBlendState, JCGLBlendStateMutable

      @Value.Immutable
       @Value.Modifiable
      public interface JCGLBlendStateType

  Blending state.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default JCGLBlendEquation` | `getBlendEquationAlpha()`
    `default JCGLBlendEquation` | `getBlendEquationRGB()`
    `default JCGLBlendFunction` | `getBlendFunctionSourceAlpha()`
    `default JCGLBlendFunction` | `getBlendFunctionSourceRGB()`
    `default JCGLBlendFunction` | `getBlendFunctionTargetAlpha()`
    `default JCGLBlendFunction` | `getBlendFunctionTargetRGB()`

- - ### Method Detail

    - #### getBlendFunctionSourceRGB

          @Value.Parameter
           @Value.Default
          default JCGLBlendFunction getBlendFunctionSourceRGB()

      Returns:
        The blend function used for the RGB components of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendFunctionSourceAlpha

          @Value.Parameter
           @Value.Default
          default JCGLBlendFunction getBlendFunctionSourceAlpha()

      Returns:
        The blend function used for the alpha component of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendFunctionTargetRGB

          @Value.Parameter
           @Value.Default
          default JCGLBlendFunction getBlendFunctionTargetRGB()

      Returns:
        The blend function used for the RGB components of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendFunctionTargetAlpha

          @Value.Parameter
           @Value.Default
          default JCGLBlendFunction getBlendFunctionTargetAlpha()

      Returns:
        The blend function used for the alpha component of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendEquationRGB

          @Value.Parameter
           @Value.Default
          default JCGLBlendEquation getBlendEquationRGB()

      Returns:
        The blend equation used for the RGB components of a blended image
      See Also:
        `JCGLBlendEquation`

    - #### getBlendEquationAlpha

          @Value.Parameter
           @Value.Default
          default JCGLBlendEquation getBlendEquationAlpha()

      Returns:
        The blend equation used for the alpha component of a blended image
      See Also:
        `JCGLBlendEquation`

Copyright © 2016 <code@io7m.com> http://io7m.com